Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class SimpleTypeDefinition

    java.lang.Object
      convert.relaxng.output.xsd.basic.Located
          convert.relaxng.output.xsd.basic.Annotated
              convert.relaxng.output.xsd.basic.Definition
                  convert.relaxng.output.xsd.basic.SimpleTypeDefinition

All Implemented Interfaces:
  TopLevel

    public class SimpleTypeDefinition

extends Definition

Constructor Summary
`SimpleTypeDefinition(SourceLocation location, Annotation annotation, Schema parentSchema, java.lang.String name, SimpleType simpleType)`

Method Summary
`void` | `accept(SchemaVisitor visitor)`
`SimpleType` | `getSimpleType()`
`void` | `setSimpleType(SimpleType simpleType)`

Methods inherited from class convert.relaxng.output.xsd.basic.Definition
`getName, getParentSchema`

Methods inherited from class convert.relaxng.output.xsd.basic.Annotated
`equals, getAnnotation, hashCode`

Methods inherited from class convert.relaxng.output.xsd.basic.Located
`getLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTypeDefinition

    public SimpleTypeDefinition(SourceLocation location,
                                Annotation annotation,
                                Schema parentSchema,
                                java.lang.String name,
                                SimpleType simpleType)

Method Detail

### getSimpleType

    public SimpleType getSimpleType()

### setSimpleType

    public void setSimpleType(SimpleType simpleType)

### accept

    public void accept(SchemaVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD